Index: trunk/images/presets/landmark/plant.svg
===================================================================
--- trunk/images/presets/landmark/plant.svg	(revision 10808)
+++ 	(revision )
@@ -1,147 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://web.resource.org/cc/"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:xlink="http://www.w3.org/1999/xlink"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   height="56.345924"
-   id="svg2"
-   inkscape:export-filename="/home/nicu/Desktop/rpg_color.png"
-   inkscape:export-xdpi="90.000000"
-   inkscape:export-ydpi="90.000000"
-   inkscape:version="0.45.1"
-   sodipodi:docbase="C:\Dokumente und Einstellungen\ulfl\Eigene Dateien\svn.openstreetmap.org\applications\share\map-icons\svg\misc\landmark"
-   sodipodi:docname="plant.svg"
-   sodipodi:version="0.32"
-   width="61.581997"
-   inkscape:output_extension="org.inkscape.output.svg.inkscape"
-   version="1.0">
-  <metadata
-     id="metadata3">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:title>tree - RPG map elements</dc:title>
-        <dc:description />
-        <dc:subject>
-          <rdf:Bag>
-            <rdf:li>mapsym</rdf:li>
-          </rdf:Bag>
-        </dc:subject>
-        <dc:publisher>
-          <cc:Agent
-             rdf:about="http://www.openclipart.org/">
-            <dc:title>Open Clip Art Library</dc:title>
-          </cc:Agent>
-        </dc:publisher>
-        <dc:creator>
-          <cc:Agent>
-            <dc:title>Nicu Buculei</dc:title>
-          </cc:Agent>
-        </dc:creator>
-        <dc:rights>
-          <cc:Agent>
-            <dc:title>Nicu Buculei</dc:title>
-          </cc:Agent>
-        </dc:rights>
-        <dc:date />
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <cc:license
-           rdf:resource="http://web.resource.org/cc/PublicDomain" />
-        <dc:language>en</dc:language>
-      </cc:Work>
-      <cc:License
-         rdf:about="http://web.resource.org/cc/PublicDomain">
-        <cc:permits
-           rdf:resource="http://web.resource.org/cc/Reproduction" />
-        <cc:permits
-           rdf:resource="http://web.resource.org/cc/Distribution" />
-        <cc:permits
-           rdf:resource="http://web.resource.org/cc/DerivativeWorks" />
-      </cc:License>
-    </rdf:RDF>
-  </metadata>
-  <defs
-     id="defs3">
-    <linearGradient
-       id="linearGradient2057"
-       inkscape:collect="always">
-      <stop
-         id="stop2059"
-         offset="0"
-         style="stop-color:#000000;stop-opacity:1;" />
-      <stop
-         id="stop2061"
-         offset="1"
-         style="stop-color:#000000;stop-opacity:0;" />
-    </linearGradient>
-    <radialGradient
-       cx="14.207293"
-       cy="222.04396"
-       fx="14.207293"
-       fy="222.04396"
-       gradientTransform="scale(1.39523,0.716728)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1991"
-       inkscape:collect="always"
-       r="8.2519293"
-       xlink:href="#linearGradient2057" />
-  </defs>
-  <sodipodi:namedview
-     bordercolor="#666666"
-     borderopacity="1.0"
-     id="base"
-     inkscape:current-layer="layer1"
-     inkscape:cx="-24.321306"
-     inkscape:cy="-48.836658"
-     inkscape:document-units="px"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:window-height="791"
-     inkscape:window-width="1151"
-     inkscape:window-x="1"
-     inkscape:window-y="24"
-     inkscape:zoom="1"
-     pagecolor="#ffffff" />
-  <g
-     id="layer1"
-     inkscape:groupmode="layer"
-     inkscape:label="Layer 1"
-     transform="translate(-26.966145,-38.21491)">
-    <g
-       id="g1928"
-       transform="matrix(2.469674,0,0,2.469674,17.5242,-459.6608)">
-      <path
-         d="M 17.714937,206.59397 C 18.01549,206.63025 19.106157,206.30166 19.609583,206.9729 C 20.008876,207.50529 20.637595,207.72724 21.409497,207.92022 C 22.023558,208.07373 22.171392,207.73176 22.546284,207.82549 C 23.38197,208.03441 23.515931,208.67808 24.630394,208.67808 C 25.259492,208.67808 25.213047,208.97653 25.672449,209.43594 C 26.212213,209.9757 26.846077,209.80083 27.282898,210.38326 C 27.82218,211.1023 27.95147,210.64567 28.135489,209.9096 C 28.212565,209.60129 27.220572,208.87917 26.998701,208.58334 C 26.44381,207.84349 25.597854,207.1869 25.131672,206.25453 C 24.708235,205.40766 24.040725,204.76088 23.298202,204.20399 C 22.986223,203.97 21.626791,204.32039 21.314764,204.32039 C 20.554457,204.32039 19.811203,204.43577 19.135922,204.60459 C 18.051924,204.87559 17.6161,205.55602 16.957079,206.21504 C 16.465452,206.70666 16.853056,207.0444 16.862347,207.06763 C 17.052098,207.54201 17.693661,206.70035 17.714937,206.59397 z "
-         id="path2843"
-         sodipodi:nodetypes="cccccccccccccccc"
-         style="fill:#00b300;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1" />
-      <path
-         d="M 14.778237,206.21504 C 14.559093,206.60463 13.969146,206.9729 13.26252,206.9729 C 12.809635,206.9729 12.462057,207.58389 12.125733,207.92022 C 11.688548,208.3574 11.456374,208.77904 10.988945,209.24647 C 10.544534,209.69088 9.6000106,209.60937 8.9995671,209.9096 C 8.4970879,210.16084 8.2078498,210.96522 7.8627797,211.42531 C 7.2163604,212.28721 6.723641,211.46003 6.2523308,212.08844 C 5.7576589,212.748 5.7555797,213.14781 5.0208111,213.69889 C 4.491284,214.09603 4.4823951,214.86565 3.978756,214.36201 C 3.8038493,214.18711 4.3618614,212.83794 4.4524174,212.65683 C 4.6906532,212.18036 4.8022164,211.63657 4.9260788,211.14112 C 5.0227897,210.75427 5.2044066,210.312 5.305008,209.9096 C 5.4454002,209.34803 5.7480841,208.98988 5.8734017,208.48861 C 6.0324163,207.85255 6.1038619,207.37731 6.2523308,206.78343 C 6.4343154,206.05549 6.9321681,205.5798 7.1049214,204.88879 C 7.2258816,204.40494 8.0073854,203.88037 8.4311734,203.56253 C 8.9708185,203.1578 9.4071219,202.88509 9.94689,202.61521 C 10.431112,202.3731 11.265789,202.33101 11.841536,202.33101 C 13.553457,202.33101 13.429244,201.92934 14.399307,202.89941 C 14.826281,203.32638 15.473167,204.00992 15.585388,204.57103 C 15.673765,205.01292 14.863884,205.7868 14.778237,206.21504 z "
-         id="path2847"
-         sodipodi:nodetypes="ccccccccccccccccccccc"
-         style="fill:#00b300;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1" />
-      <path
-         d="M 28.401713 158.69876 A 7.9437737 4.0807056 0 1 1  12.514165,158.69876 A 7.9437737 4.0807056 0 1 1  28.401713 158.69876 z"
-         id="path1349"
-         sodipodi:cx="20.457939"
-         sodipodi:cy="158.69876"
-         sodipodi:rx="7.9437737"
-         sodipodi:ry="4.0807056"
-         sodipodi:type="arc"
-         style="fill:url(#radialGradient1991);fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:2;stroke-miterlimit:4;stroke-opacity:1"
-         transform="translate(-2.837734,61.63138)" />
-      <path
-         d="M 12.124592,201.60237 C 11.345532,201.63361 10.550972,201.77197 10.093342,202.00862 C 7.9764322,203.10331 5.6512822,206.26981 6.0933422,207.44612 C 6.1629122,207.63123 5.9065722,208.36334 5.5308422,209.10237 C 5.1550922,209.84137 4.8433322,210.659 4.8433422,210.91487 C 4.8433422,211.17075 4.5909422,211.9638 4.2808422,212.66487 C 3.6919022,213.99625 3.6716222,215.01621 4.2183422,215.19612 C 4.3948922,215.25421 5.0620322,214.63597 5.6870922,213.78987 C 6.3196422,212.9336 6.9651122,212.27919 7.1558422,212.35237 C 7.6022322,212.52366 7.8462722,212.35573 8.7808422,211.10237 C 9.4438022,210.21325 9.6657822,210.0854 10.312092,210.22737 C 10.987982,210.37581 11.137422,210.23737 11.905842,209.03987 C 13.137572,207.1204 13.667422,206.7359 14.624592,206.94612 C 15.404222,207.11734 15.445802,207.16434 15.655842,209.35237 C 15.962452,212.5464 15.887782,213.2686 15.249592,214.16487 C 14.800902,214.79499 14.696742,215.33826 14.718342,216.82112 C 14.761502,219.78513 14.880252,220.02172 16.468342,220.19612 C 19.054112,220.48005 19.585362,220.3226 19.124592,219.32112 C 18.969182,218.98333 18.730592,218.12385 18.562092,217.41487 C 18.282802,216.23969 18.314482,215.99207 18.937092,214.82112 C 19.613622,213.54871 19.616632,213.5395 19.093342,212.97737 C 18.618242,212.46699 17.968352,209.37413 17.968342,207.60237 C 17.968342,206.85232 19.179322,206.92837 20.530842,207.75862 C 21.336932,208.25379 21.699682,208.3566 21.968342,208.13362 C 22.239172,207.90885 22.483932,207.9957 22.874592,208.44612 C 23.270282,208.90234 23.620342,209.00946 24.405842,208.94612 C 25.309042,208.87327 25.448082,208.94082 25.593342,209.53987 C 25.712852,210.03275 25.980272,210.25718 26.530842,210.32112 C 27.102342,210.38748 27.394152,210.65131 27.687092,211.35237 C 28.402472,213.06452 29.080602,212.41249 28.593342,210.47737 C 28.351772,209.518 27.804822,208.70935 26.530842,207.32112 C 25.588502,206.29425 24.744452,205.23902 24.655842,204.97737 C 24.345732,204.06172 23.160602,203.44452 21.718342,203.47737 C 20.669802,203.50126 19.991922,203.72984 18.780842,204.47737 C 16.976212,205.59123 16.593342,205.67573 16.593342,204.91487 C 16.593342,204.32474 14.952552,202.32895 14.062092,201.85237 C 13.682632,201.64929 12.903652,201.57112 12.124592,201.60237 z M 11.468342,202.41487 C 13.009332,202.17126 13.852722,202.47756 14.968342,203.69612 C 15.600462,204.38655 15.583142,204.42079 15.030842,204.13362 C 14.299982,203.75358 12.140972,203.71061 10.843342,204.07112 C 10.265682,204.2316 9.3007722,204.94615 8.4058422,205.85237 C 7.5873222,206.68116 6.8514022,207.35237 6.7495922,207.35237 C 6.6477622,207.35236 6.6598822,206.85824 6.8120922,206.25862 C 7.0649422,205.26246 7.6771922,204.58508 9.7495922,202.91487 C 9.9586422,202.74639 10.719402,202.53328 11.468342,202.41487 z M 21.593342,204.35237 C 22.566472,204.35236 24.249602,205.06716 24.249592,205.47737 C 24.249592,205.57424 24.554122,206.1005 24.937092,206.66487 C 25.320062,207.22919 25.607072,207.74578 25.562092,207.78987 C 25.517112,207.83397 25.058172,207.94141 24.530842,208.03987 C 23.701232,208.19478 23.464052,208.101 22.937092,207.44612 C 22.349402,206.71574 22.336202,206.7243 21.968342,207.22737 C 21.601302,207.72932 21.550552,207.72027 20.562092,206.85237 C 19.526402,205.94301 19.087762,205.86077 17.562092,206.41487 C 17.126872,206.57292 17.143082,206.51193 17.687092,206.07112 C 18.943522,205.05308 20.529212,204.35237 21.593342,204.35237 z M 12.749592,204.63362 C 14.282782,204.63361 14.411332,204.68839 14.405842,205.25862 C 14.401772,205.68142 14.137482,205.97676 13.530842,206.25862 C 13.045882,206.48395 12.262752,207.24953 11.812092,207.94612 C 11.103632,209.04116 10.885032,209.18925 10.249592,209.07112 C 9.6205822,208.95415 9.4159622,209.11772 8.6558422,210.19612 C 7.7403122,211.49497 7.3121022,211.75306 7.3120922,211.03987 C 7.3120922,210.81453 7.2060022,210.65829 7.0933422,210.66487 C 6.9806722,210.67142 6.3659522,211.50118 5.7183422,212.50862 C 4.3831122,214.58564 4.3230022,214.11625 5.4683422,210.82112 C 5.9927822,209.31235 6.4432622,208.64933 7.8745922,207.19612 C 10.069252,204.96796 10.682032,204.63362 12.749592,204.63362 z M 16.218342,207.28987 C 16.294112,207.47763 16.294132,207.78959 16.218342,207.97737 C 16.142572,208.16513 16.093352,208.00917 16.093342,207.63362 C 16.093342,207.25805 16.142592,207.10209 16.218342,207.28987 z M 25.968342,208.00862 C 26.067402,208.03568 26.275432,208.16946 26.624592,208.44612 C 27.096932,208.82038 27.491272,209.2397 27.499592,209.35237 C 27.507902,209.46502 27.218892,209.53987 26.843342,209.53987 C 26.435972,209.53986 26.155832,209.39597 26.155842,209.16487 C 26.155842,208.95182 26.073452,208.53248 25.968342,208.25862 C 25.890652,208.05615 25.869282,207.98155 25.968342,208.00862 z M 17.312092,214.66487 C 17.387862,214.85264 17.387862,215.16459 17.312092,215.35237 C 17.236322,215.54014 17.187082,215.38417 17.187092,215.00862 C 17.187092,214.63306 17.236322,214.47709 17.312092,214.66487 z "
-         id="path1649"
-         style="fill:#5c2700;fill-opacity:1" />
-    </g>
-  </g>
-</svg>