Index: trunk/.settings/edu.umd.cs.findbugs.core.prefs
===================================================================
--- trunk/.settings/edu.umd.cs.findbugs.core.prefs	(revision 10223)
+++ trunk/.settings/edu.umd.cs.findbugs.core.prefs	(revision 10850)
@@ -1,8 +1,9 @@
 #FindBugs User Preferences
-#Mon May 16 03:41:36 CEST 2016
+#Fri Aug 19 00:50:13 CEST 2016
 cloud_id=edu.umd.cs.findbugs.cloud.doNothingCloud
 detectorAppendingToAnObjectOutputStream=AppendingToAnObjectOutputStream|true
 detectorAtomicityProblem=AtomicityProblem|true
 detectorBadAppletConstructor=BadAppletConstructor|false
+detectorBadHexadecimalConversionDetector=BadHexadecimalConversionDetector|true
 detectorBadResultSetAccess=BadResultSetAccess|true
 detectorBadSyntaxForRegularExpression=BadSyntaxForRegularExpression|true
@@ -10,4 +11,5 @@
 detectorBadlyOverriddenAdapter=BadlyOverriddenAdapter|true
 detectorBooleanReturnNull=BooleanReturnNull|true
+detectorBroadcastDetector=BroadcastDetector|true
 detectorCallToUnsupportedMethod=CallToUnsupportedMethod|true
 detectorCheckExpectedWarnings=CheckExpectedWarnings|false
@@ -15,11 +17,21 @@
 detectorCheckRelaxingNullnessAnnotation=CheckRelaxingNullnessAnnotation|true
 detectorCheckTypeQualifiers=CheckTypeQualifiers|true
+detectorCipherWithNoIntegrityDetector=CipherWithNoIntegrityDetector|true
 detectorCloneIdiom=CloneIdiom|true
+detectorCommandInjectionDetector=CommandInjectionDetector|true
 detectorComparatorIdiom=ComparatorIdiom|true
 detectorConfusedInheritance=ConfusedInheritance|true
 detectorConfusionBetweenInheritedAndOuterMethod=ConfusionBetweenInheritedAndOuterMethod|true
+detectorConstantPasswordDetector=ConstantPasswordDetector|true
+detectorCookieFlagsDetector=CookieFlagsDetector|true
+detectorCookieReadDetector=CookieReadDetector|true
 detectorCovariantArrayAssignment=CovariantArrayAssignment|true
+detectorCrlfLogInjectionDetector=CrlfLogInjectionDetector|true
 detectorCrossSiteScripting=CrossSiteScripting|true
+detectorCustomInjectionDetector=CustomInjectionDetector|true
+detectorCustomMessageDigestDetector=CustomMessageDigestDetector|true
 detectorDefaultEncodingDetector=DefaultEncodingDetector|true
+detectorDesUsageDetector=DesUsageDetector|true
+detectorDeserializationGadgetDetector=DeserializationGadgetDetector|true
 detectorDoInsideDoPrivileged=DoInsideDoPrivileged|true
 detectorDontCatchIllegalMonitorStateException=DontCatchIllegalMonitorStateException|true
@@ -32,5 +44,9 @@
 detectorEmptyZipFileEntry=EmptyZipFileEntry|true
 detectorEqualsOperandShouldHaveClassCompatibleWithThis=EqualsOperandShouldHaveClassCompatibleWithThis|true
+detectorEsapiEncryptorDetector=EsapiEncryptorDetector|true
 detectorExplicitSerialization=ExplicitSerialization|true
+detectorExternalConfigurationControlDetector=ExternalConfigurationControlDetector|true
+detectorExternalFileAccessDetector=ExternalFileAccessDetector|true
+detectorFileUploadFilenameDetector=FileUploadFilenameDetector|true
 detectorFinalizerNullsFields=FinalizerNullsFields|true
 detectorFindBadCast2=FindBadCast2|true
@@ -77,4 +93,8 @@
 detectorFindUselessObjects=FindUselessObjects|true
 detectorFormatStringChecker=FormatStringChecker|true
+detectorGeolocationDetector=GeolocationDetector|true
+detectorGoogleApiKeyDetector=GoogleApiKeyDetector|true
+detectorHazelcastSymmetricEncryptionDetector=HazelcastSymmetricEncryptionDetector|true
+detectorHttpResponseSplittingDetector=HttpResponseSplittingDetector|true
 detectorHugeSharedStringConstants=HugeSharedStringConstants|true
 detectorIDivResultCastToDouble=IDivResultCastToDouble|true
@@ -91,8 +111,17 @@
 detectorInitializeNonnullFieldsInConstructor=InitializeNonnullFieldsInConstructor|true
 detectorInstantiateStaticClass=InstantiateStaticClass|true
+detectorInsufficientKeySizeBlowfishDetector=InsufficientKeySizeBlowfishDetector|true
+detectorInsufficientKeySizeRsaDetector=InsufficientKeySizeRsaDetector|true
 detectorIntCast2LongAsInstant=IntCast2LongAsInstant|true
 detectorInvalidJUnitTest=InvalidJUnitTest|true
 detectorIteratorIdioms=IteratorIdioms|true
+detectorJaxRsEndpointDetector=JaxRsEndpointDetector|true
+detectorJaxWsEndpointDetector=JaxWsEndpointDetector|true
+detectorJndiCredentialsDetector=JndiCredentialsDetector|true
+detectorJspIncludeDetector=JspIncludeDetector|true
+detectorJspSpringEvalDetector=JspSpringEvalDetector|true
+detectorJstlOutDetector=JstlOutDetector|true
 detectorLazyInit=LazyInit|true
+detectorLdapInjectionDetector=LdapInjectionDetector|true
 detectorLoadOfKnownNullValue=LoadOfKnownNullValue|true
 detectorLostLoggerDueToWeakReference=LostLoggerDueToWeakReference|true
@@ -104,10 +133,16 @@
 detectorNaming=Naming|true
 detectorNoteUnconditionalParamDerefs=NoteUnconditionalParamDerefs|true
+detectorNullCipherDetector=NullCipherDetector|true
 detectorNumberConstructor=NumberConstructor|true
+detectorObjectDeserializationDetector=ObjectDeserializationDetector|true
 detectorOptionalReturnNull=OptionalReturnNull|true
 detectorOverridingEqualsNotSymmetrical=OverridingEqualsNotSymmetrical|true
+detectorPathTraversalDetector=PathTraversalDetector|true
+detectorPlayUnvalidatedRedirectDetector=PlayUnvalidatedRedirectDetector|true
+detectorPredictableRandomDetector=PredictableRandomDetector|true
 detectorPreferZeroLengthArrays=PreferZeroLengthArrays|true
 detectorPublicSemaphores=PublicSemaphores|true
 detectorQuestionableBooleanAssignment=QuestionableBooleanAssignment|true
+detectorReDosDetector=ReDosDetector|true
 detectorReadOfInstanceFieldInMethodInvokedByConstructorInSuperclass=ReadOfInstanceFieldInMethodInvokedByConstructorInSuperclass|true
 detectorReadReturnShouldBeChecked=ReadReturnShouldBeChecked|true
@@ -115,9 +150,20 @@
 detectorRedundantInterfaces=RedundantInterfaces|true
 detectorRepeatedConditionals=RepeatedConditionals|true
+detectorRsaNoPaddingDetector=RsaNoPaddingDetector|true
 detectorRuntimeExceptionCapture=RuntimeExceptionCapture|true
+detectorScriptInjectionDetector=ScriptInjectionDetector|true
 detectorSerializableIdiom=SerializableIdiom|true
+detectorServletEndpointDetector=ServletEndpointDetector|true
+detectorSpringMvcEndpointDetector=SpringMvcEndpointDetector|true
+detectorSqlInjectionDetector=SqlInjectionDetector|true
+detectorSslDisablerDetector=SslDisablerDetector|true
 detectorStartInConstructor=StartInConstructor|true
 detectorStaticCalendarDetector=StaticCalendarDetector|true
+detectorStaticIvDetector=StaticIvDetector|true
+detectorStdXmlTransformDetector=StdXmlTransformDetector|true
 detectorStringConcatenation=StringConcatenation|true
+detectorStruts1EndpointDetector=Struts1EndpointDetector|true
+detectorStruts2EndpointDetector=Struts2EndpointDetector|true
+detectorStrutsValidatorFormDetector=StrutsValidatorFormDetector|true
 detectorSuperfluousInstanceOf=SuperfluousInstanceOf|true
 detectorSuspiciousThreadInterrupted=SuspiciousThreadInterrupted|true
@@ -127,14 +173,32 @@
 detectorSynchronizeOnClassLiteralNotGetClass=SynchronizeOnClassLiteralNotGetClass|true
 detectorSynchronizingOnContentsOfFieldToProtectField=SynchronizingOnContentsOfFieldToProtectField|true
+detectorTapestryEndpointDetector=TapestryEndpointDetector|true
+detectorTrustBoundaryViolationDetector=TrustBoundaryViolationDetector|true
 detectorURLProblems=URLProblems|true
 detectorUncallableMethodOfAnonymousClass=UncallableMethodOfAnonymousClass|true
+detectorUnencryptedSocketDetector=UnencryptedSocketDetector|true
 detectorUnnecessaryMath=UnnecessaryMath|true
 detectorUnreadFields=UnreadFields|true
+detectorUnvalidatedRedirectDetector=UnvalidatedRedirectDetector|true
 detectorUselessSubclassMethod=UselessSubclassMethod|true
 detectorVarArgsProblems=VarArgsProblems|true
 detectorVolatileUsage=VolatileUsage|true
 detectorWaitInLoop=WaitInLoop|true
+detectorWeakFilenameUtilsMethodDetector=WeakFilenameUtilsMethodDetector|true
+detectorWeakMessageDigestDetector=WeakMessageDigestDetector|true
+detectorWeakTrustManagerDetector=WeakTrustManagerDetector|true
+detectorWebViewJavascriptEnabledDetector=WebViewJavascriptEnabledDetector|true
+detectorWebViewJavascriptInterfaceDetector=WebViewJavascriptInterfaceDetector|true
+detectorWicketEndpointDetector=WicketEndpointDetector|true
+detectorWorldWritableDetector=WorldWritableDetector|true
 detectorWrongMapIterator=WrongMapIterator|true
 detectorXMLFactoryBypass=XMLFactoryBypass|true
+detectorXPathInjectionDetector=XPathInjectionDetector|true
+detectorXSSRequestWrapperDetector=XSSRequestWrapperDetector|true
+detectorXmlDecoderDetector=XmlDecoderDetector|true
+detectorXslTransformJspDetector=XslTransformJspDetector|true
+detectorXssJspDetector=XssJspDetector|true
+detectorXssServletDetector=XssServletDetector|true
+detectorXxeDetector=XxeDetector|true
 detector_threshold=3
 effort=max