Index: trunk/images/presets/sport/equestrian.svg
===================================================================
--- trunk/images/presets/sport/equestrian.svg	(revision 10822)
+++ trunk/images/presets/sport/equestrian.svg	(revision 10854)
@@ -16,8 +16,8 @@
    width="16"
    height="16"
-   viewBox="-0.258 -0.548 16 16"
+   viewBox="0 0 16 16"
    xml:space="preserve"
    inkscape:version="0.91 r13725"
-   sodipodi:docname="horse53.svg"><metadata
+   sodipodi:docname="equestrian3.svg"><metadata
    id="metadata17"><rdf:RDF><cc:Work
        rdf:about=""><dc:format>image/svg+xml</dc:format><dc:type
@@ -46,7 +46,7 @@
    id="namedview13"
    showgrid="true"
-   inkscape:zoom="61.130492"
-   inkscape:cx="5.3444403"
-   inkscape:cy="11.743066"
+   inkscape:zoom="30.565246"
+   inkscape:cx="14.720185"
+   inkscape:cy="7.0643046"
    inkscape:window-x="-8"
    inkscape:window-y="-8"
@@ -58,13 +58,13 @@
    inkscape:connector-curvature="0"
    id="path7"
-   d="m 1.394496,-0.54800146 c -0.91115399,0 -1.65249599,0.74237 -1.65249599,1.65454996 l 0,12.6909105 c 0,0.91325 0.741342,1.65454 1.65249599,1.65454 l 12.691768,0 c 0.914259,0 1.655736,-0.74129 1.655736,-1.65454 l 0,-12.6909105 c 0,-0.91217996 -0.741342,-1.65454996 -1.655736,-1.65454996 l -12.691768,0 z"
+   d="M 1.652496,-4.6e-7 C 0.741342,-4.6e-7 0,0.74236954 0,1.6545495 L 0,14.34546 C 0,15.25871 0.741342,16 1.652496,16 l 12.691768,0 C 15.258523,16 16,15.25871 16,14.34546 L 16,1.6545495 C 16,0.74236954 15.258658,-4.6e-7 14.344264,-4.6e-7 l -12.691768,0 z"
    style="fill:#ffffff;stroke:none;stroke-opacity:1" /><path
    inkscape:connector-curvature="0"
    id="path9"
-   d="m 9.5800057,2.4803969 c 0.6174873,0 1.1169763,-0.4874454 1.1169763,-1.0876954 0,-0.60516837 -0.499646,-1.09246587 -1.1169763,-1.09246587 -0.6137158,0 -1.1121051,0.48745689 -1.1121051,1.09246587 0,0.60025 0.4983893,1.0876954 1.1121051,1.0876954 z"
+   d="m 9.8380057,3.0283979 c 0.6174873,0 1.1169763,-0.4874454 1.1169763,-1.0876954 0,-0.6051684 -0.499646,-1.09246587 -1.1169763,-1.09246587 -0.6137158,0 -1.1121051,0.48745687 -1.1121051,1.09246587 0,0.60025 0.4983893,1.0876954 1.1121051,1.0876954 z"
    style="fill:#000000;stroke:none;stroke-opacity:1" /><path
    inkscape:connector-curvature="0"
    id="path11"
-   d="m 13.353819,5.5638416 -1.014553,-0.1941 -0.590563,1.17362 c 0.09598,0.0221 0.195055,0.0327 0.296294,0.0327 0.629709,1.4e-4 1.156963,-0.42801 1.308822,-1.01219 z m -12.60595476,1.98146 c 0,-0.77828 0.76837966,-1.41092 1.54670766,-1.41092 l 2.968607,0 1.3147918,-2.9597492 C 6.7933217,2.6898522 7.1928278,2.2101921 7.6899879,2.3979665 8.1862639,2.5854071 8.3380648,2.6034413 8.3033024,3.132761 l -0.00845,0.1286664 0.8397503,0.3891499 C 9.3453007,3.7910868 9.5218459,4.0423579 9.3823855,4.253437 9.2414518,4.468428 8.9902443,4.6422966 8.7761206,4.5016904 l -0.619126,-0.276664 -0.9755327,1.9093552 1.423695,0 3.8955521,-4.03026 -0.115953,1.04822 1.918283,1.27486 c 0.316407,0.18141 0.43128,0.59052 0.250939,0.90691 -0.14241,0.25308 -0.426016,0.37537 -0.692882,0.32583 l -0.154964,-0.0285 c -0.184526,0.74656 -0.859455,1.29699 -1.661,1.29699 -0.158204,0 -0.312087,-0.0232 -0.457737,-0.0622 l -1.453121,2.96841 0,4.0725154 c 0,0.34905 -0.2868431,0.63277 -0.6359161,0.63277 -0.349073,0 -0.632813,-0.28372 -0.632813,-0.63277 l 0,-4.1653754 -3.206858,0 -0.573689,0.9816754 1.200158,2.86083 c 0.175077,0.3068 0.06533,0.69176 -0.237305,0.86358 -0.306822,0.17399 -0.691802,0.0653 -0.866878,-0.23729 l -1.400478,-3.30247 0,-1.0513254 -0.626469,0.9859954 0,3.06438 c 0,0.34905 -0.28374,0.63277 -0.632813,0.63277 -0.349073,0 -0.635918,-0.28372 -0.635918,-0.63277 l 0,-3.53896 0.52415,-0.8203854 0,-2.77552 -0.659717,0.79717 0,1.8477132 -1.00186366,0 z"
+   d="m 13.611819,6.1118426 -1.014553,-0.1941 -0.590563,1.17362 c 0.09598,0.0221 0.195055,0.0327 0.296294,0.0327 0.629709,1.4e-4 1.156963,-0.42801 1.308822,-1.01219 z m -12.6059548,1.98146 c 0,-0.77828 0.7683797,-1.41092 1.5467077,-1.41092 l 2.968607,0 1.3147918,-2.9597492 C 7.0513217,3.2378532 7.4508278,2.7581931 7.9479879,2.9459675 8.4442639,3.1334081 8.5960648,3.1514423 8.5613024,3.680762 l -0.00845,0.1286664 0.8397503,0.3891499 C 9.6033007,4.3390878 9.7798459,4.5903589 9.6403855,4.801438 9.4994518,5.016429 9.2482443,5.1902976 9.0341206,5.0496914 l -0.619126,-0.276664 -0.9755327,1.9093552 1.423695,0 3.8955521,-4.03026 -0.115953,1.04822 1.918283,1.27486 c 0.316407,0.18141 0.43128,0.59052 0.250939,0.90691 -0.14241,0.25308 -0.426016,0.37537 -0.692882,0.32583 l -0.154964,-0.0285 c -0.184526,0.74656 -0.859455,1.29699 -1.661,1.29699 -0.158204,0 -0.312087,-0.0232 -0.457737,-0.0622 l -1.453121,2.9684104 0,4.072515 c 0,0.34905 -0.286843,0.63277 -0.6359161,0.63277 -0.349073,0 -0.632813,-0.28372 -0.632813,-0.63277 l 0,-4.165375 -3.206858,0 -0.573689,0.981675 1.200158,2.86083 c 0.175077,0.3068 0.06533,0.69176 -0.237305,0.86358 -0.306822,0.17399 -0.691802,0.0653 -0.866878,-0.23729 l -1.400478,-3.30247 0,-1.051325 -0.626469,0.985995 0,3.06438 c 0,0.34905 -0.28374,0.63277 -0.632813,0.63277 -0.349073,0 -0.635918,-0.28372 -0.635918,-0.63277 l 0,-3.53896 0.52415,-0.820385 0,-2.7755204 -0.659717,0.79717 0,1.8477132 -1.0018637,0 z"
    style="fill:#000000;stroke:none;stroke-opacity:1"
    sodipodi:nodetypes="ccccccsscssscccccccccccccsccssscccccccccsssccccccs" />
@@ -72,5 +72,5 @@
    inkscape:connector-curvature="0"
    id="path11-8"
-   d="m 10.506184,8.6019052 2.348999,2.0399618 0.116732,2.122986 c 0.01916,0.348525 0.0074,0.694714 -0.308916,0.842234 -0.316364,0.147541 -0.821499,0.04246 -0.840943,-0.306047 L 11.71963,11.4651 9.3512971,9.1273189 C 9.7430755,8.9063652 10.097997,8.7408626 10.506184,8.6019052 Z"
+   d="m 10.764184,9.1499062 2.348999,2.0399618 0.116732,2.122986 c 0.01916,0.348525 0.0074,0.694714 -0.308916,0.842234 -0.316364,0.147541 -0.821499,0.04246 -0.840943,-0.306047 L 11.97763,12.013101 9.6092971,9.6753199 C 10.001075,9.4543662 10.355997,9.2888636 10.764184,9.1499062 Z"
    style="fill:#000000;stroke:none;stroke-opacity:1"
    sodipodi:nodetypes="ccsssccc" /></svg>
Index: trunk/images/presets/sport/motor.svg
===================================================================
--- trunk/images/presets/sport/motor.svg	(revision 10822)
+++ trunk/images/presets/sport/motor.svg	(revision 10854)
@@ -12,5 +12,5 @@
    id="svg3419"
    sodipodi:docname="gear23.svg"
-   viewBox="0 0 15.999999 16"
+   viewBox="0 0 16 16"
    version="1.1"
    inkscape:version="0.91 r13725"