Index: trunk/images/presets/vehicle/ford.svg
===================================================================
--- trunk/images/presets/vehicle/ford.svg	(revision 10808)
+++ trunk/images/presets/vehicle/ford.svg	(revision 11010)
@@ -10,51 +10,38 @@
    xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
    xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   version="1.1"
    width="16"
    height="16"
    viewBox="0 0 16 16"
-   id="svg4264"
-   version="1.1"
+   id="svg2"
    inkscape:version="0.91 r13725"
-   sodipodi:docname="ford12.svg">
-  <defs
-     id="defs4266" />
+   sodipodi:docname="ford11.svg">
   <sodipodi:namedview
-     id="base"
      pagecolor="#ffffff"
      bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
+     borderopacity="1"
+     objecttolerance="10"
+     gridtolerance="10"
+     guidetolerance="10"
+     inkscape:pageopacity="0"
      inkscape:pageshadow="2"
-     inkscape:zoom="22.627417"
-     inkscape:cx="-3.9697886"
-     inkscape:cy="2.3971322"
-     inkscape:document-units="px"
-     inkscape:current-layer="layer1"
+     inkscape:window-width="1680"
+     inkscape:window-height="988"
+     id="namedview7"
      showgrid="true"
-     units="px"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:snap-nodes="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="false"
-     inkscape:snap-midpoints="false"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-others="true"
-     inkscape:snap-global="false"
-     inkscape:snap-center="false"
-     inkscape:snap-grids="true"
-     inkscape:snap-to-guides="true"
-     inkscape:snap-page="true">
+     showguides="false"
+     inkscape:zoom="33.714286"
+     inkscape:cx="5.0591107"
+     inkscape:cy="7.2441084"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     inkscape:current-layer="svg2">
     <inkscape:grid
        type="xygrid"
-       id="grid4137" />
+       id="grid4135" />
   </sodipodi:namedview>
   <metadata
-     id="metadata4269">
+     id="metadata8">
     <rdf:RDF>
       <cc:Work
@@ -64,62 +51,39 @@
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
         <dc:title></dc:title>
-        <cc:license
-           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
       </cc:Work>
-      <cc:License
-         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
-        <cc:permits
-           rdf:resource="http://creativecommons.org/ns#Reproduction" />
-        <cc:permits
-           rdf:resource="http://creativecommons.org/ns#Distribution" />
-        <cc:permits
-           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
-      </cc:License>
     </rdf:RDF>
   </metadata>
-  <g
-     inkscape:label="Camada 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(0,-1036.3621)">
-    <rect
-       style="fill:#ffffff;fill-opacity:1"
-       id="rect4148"
-       width="16.000004"
-       height="16.000004"
-       x="-4.7683727e-007"
-       y="1036.3621"
-       ry="2.3864501" />
-    <path
-       style="fill:#000000"
-       d="m 8.1107127,1037.3621 -1.0610248,3.8423 -5.048498,0.5092 -0.00119,2.8581 c 0,0 1.9439315,-0.017 6.0511112,-0.017 0.1430592,1.601 1.4544383,2.7956 2.9684849,2.7956 1.597498,0 2.980406,-1.3547 2.980406,-3.0788 0,-1.3793 -0.870279,-2.5123 -2.038598,-2.9187 l 0,-3.9779 -3.8506843,0 z"
-       id="path4153"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cccccsscccc" />
-    <path
-       style="fill:none;fill-rule:evenodd;stroke:#0070ff;stroke-width:1.73526525;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
-       d="m 0.62451997,1051.114 1.84387033,-1.9325 1.8438702,1.9325 1.8438701,-1.9325 1.8438703,1.9325 1.8438707,-1.9325 1.8438704,1.9325 1.843869,-1.9325 1.843871,1.9325"
-       id="path4181"
-       inkscape:connector-curvature="0" />
-    <path
-       style="fill:#ffffff"
-       d="m 8.718716,1038.1256 2.420089,0 0,3.0666 -3.23076,0.024 0.810671,-3.0787 z"
-       id="path4151" />
-    <path
-       style="fill:#ffffff"
-       d="m 11.007668,1043.0395 c 0.762984,0 1.216005,0.5788 1.216005,1.2315 0,0.6527 -0.453021,1.2315 -1.216005,1.2315 -0.762985,0 -1.2160071,-0.5788 -1.2160071,-1.2315 0,-0.6527 0.4530221,-1.2315 1.2160071,-1.2315 z"
-       id="path4149" />
-    <circle
-       r="1.7789224"
-       cy="1045.5714"
-       cx="4.4972916"
-       id="circle4145"
-       style="opacity:1;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1.745;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
-    <circle
-       style="opacity:1;fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:1.745;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
-       id="path4143"
-       cx="4.4972916"
-       cy="1045.5714"
-       r="0.91713595" />
-  </g>
+  <defs
+     id="defs6" />
+  <rect
+     style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.80000001;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
+     id="rect4137"
+     width="16"
+     height="16"
+     x="0"
+     y="0"
+     ry="2" />
+  <rect
+     width="14"
+     height="14"
+     x="0"
+     y="2"
+     id="canvas"
+     style="visibility:hidden;fill:none;stroke:none" />
+  <path
+     style="color:#000000;fill:#000000;fill-opacity:1"
+     d="M 5,1 1,4 5,7 5,5 11,5 11,7 15,4 11,1 11,3 5,3 Z"
+     id="path4141"
+     inkscape:connector-curvature="0"
+     sodipodi:nodetypes="ccccccccccc" />
+  <path
+     style="color:#000000;fill:#41a8e2;fill-opacity:1"
+     d="M 2.6666667,7.6666667 C 1.9548023,7.6666667 0.6769531,9 0,9 l 0,2 C 0.7162452,11 2.0338983,9.666667 2.6666667,9.666667 3.3389831,9.666667 4.6214689,11 5.3333333,11 5.9673364,11 7.3230469,9.666667 8,9.666667 8.6723164,9.666667 10.028974,11 10.666667,11 11.338983,11 12.700565,9.666667 13.333333,9.666667 13.966101,9.666667 15.327684,11 16,11 L 16,9 C 15.446328,9 14.045197,7.6271187 13.333333,7.6666667 12.69564,7.6666667 11.379629,9 10.666667,9 10.073446,9 8.6723164,7.6666667 8,7.6666667 7.3276836,7.6666667 5.9278705,9 5.3333333,9 4.6993303,9 3.3785311,7.6666667 2.6666667,7.6666667 Z"
+     id="path4139"
+     inkscape:connector-curvature="0" />
+  <path
+     style="color:#000000;fill:#41a8e2;fill-opacity:1"
+     d="M 2.6666667,11.666667 C 1.9548023,11.666667 0.6769531,13 0,13 l 0,2 C 0.7162452,15 2.0338983,13.666667 2.6666667,13.666667 3.3389831,13.666667 4.6214689,15 5.3333333,15 5.9673364,15 7.3230469,13.666667 8,13.666667 8.6723164,13.666667 10.028974,15 10.666667,15 11.338983,15 12.700565,13.666667 13.333333,13.666667 13.966101,13.666667 15.327684,15 16,15 l 0,-2 C 15.446328,13 14.045197,11.627119 13.333333,11.666667 12.69564,11.666667 11.379629,13 10.666667,13 10.073446,13 8.6723164,11.666667 8,11.666667 7.3276836,11.666667 5.9278705,13 5.3333333,13 4.6993303,13 3.3785311,11.666667 2.6666667,11.666667 Z"
+     id="ford"
+     inkscape:connector-curvature="0" />
 </svg>